Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
zigbee::ZigbeeDevice::ClusterValue Struct Reference

Cluster Value. More...

## Public Attributes
int | id
| the cluster ID
int | endpoint
| the endpoint ID
int | attribute
| the reported attribute. some clusters have multiple reporting attributes
time | timestamp
| the time when the cluster value was updated. UNIX timestamp (UTC)
string | value
| the value which was reported.

## Detailed Description

Cluster Value.

Definition at line 35 of file ZigbeeDevice.idl.

## Member Data Documentation

## ◆ attribute

int zigbee::ZigbeeDevice::ClusterValue::attribute

the reported attribute. some clusters have multiple reporting attributes

Definition at line 38 of file ZigbeeDevice.idl.

## ◆ endpoint

int zigbee::ZigbeeDevice::ClusterValue::endpoint

the endpoint ID

Definition at line 37 of file ZigbeeDevice.idl.

## ◆ id

int zigbee::ZigbeeDevice::ClusterValue::id

the cluster ID

Definition at line 36 of file ZigbeeDevice.idl.

## ◆ timestamp

time zigbee::ZigbeeDevice::ClusterValue::timestamp

the time when the cluster value was updated. UNIX timestamp (UTC)

Definition at line 39 of file ZigbeeDevice.idl.

## ◆ value

string zigbee::ZigbeeDevice::ClusterValue::value

the value which was reported.

Definition at line 40 of file ZigbeeDevice.idl.

The documentation for this struct was generated from the following file:

- ZigbeeDevice.idl